Bug 977570

Summary: Dev Guide: Consolidate parts
Product: [JBoss] JBoss Data Grid 6 Reporter: Misha H. Ali <mhusnain>
Component: DocumentationAssignee: Misha H. Ali <mhusnain>
Status: CLOSED CURRENTRELEASE QA Contact:
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 6.1.0CC: jdg-bugs
Target Milestone: ER1   
Target Release: 6.2.0   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2013-11-07 22:50:43 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Misha H. Ali 2013-06-24 23:19:24 UTC
New content has been added with a part for each chapter, which is unnecessary. Need to fix this and consolidate parts in groups of chapters according to relationships and relevance.

Document URL: 

Section Number and Name: 

Describe the issue: 

Suggestions for improvement: 

Additional information:

Comment 1 Misha H. Ali 2013-06-25 00:23:02 UTC
New Toc only contains four parts.

Chapter 1. JBoss Data Grid

Part I. Programmable APIs
 Chapter 2. The Cache API
 Chapter 3. The Batching API
 Chapter 4. The Grouping API
 Chapter 5. The CacheStore and ConfigurationBuilder APIs
 Chapter 6. The Externalizable API
 Chapter 7. The Notification/Listener API

Part II. Remote Client-Server Mode Interfaces
 Chapter 8. The Asynchronous API
 Chapter 9. The REST Interface
 Chapter 10. The Memcached Interface
 Chapter 11. The Hot Rod Interface
 Chapter 12. The RemoteCache Interface

Part III. Advanced Features in JBoss Data Grid
 Chapter 13. Transactions
 Chapter 14. Marshalling
 Chapter 15. Listeners and Notifications
 Chapter 16. The Infinspan CDI Module
 Chapter 17. Rolling Upgrades
 Chapter 18. MapReduce
 Chapter 19. Distributed Execution
 Chapter 20. Interoperability and Compatibility Mode

Part IV. Command Line Tools
 Chapter 21. The Infinispan CLI

Comment 2 Misha H. Ali 2013-06-25 00:59:30 UTC
Added and developed two new topics as part introductions:

* Remote Client-Server Mode Interfaces (intro to part III)
* Command Line Tools (intro to part IV)

Comment 5 Misha H. Ali 2013-11-07 22:50:43 UTC
This bug is approved and available at:

https://access.redhat.com/site/documentation/Red_Hat_JBoss_Data_Grid/